﻿/*** Global **/

* {
    transition: all 300ms linear;
    font-family: "Arial";
    box-sizing: border-box;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

html,
body {
    margin: 0;
    position: relative;
    min-height: 100%;
    user-select: none;
}

ul.glide__slides {
    margin: 0;
}

.canvas-container {
    width: 100%;
    background-color: #cccccc;
    margin: auto;
}

.canvas-ar-box {
    padding-top: 60%;
    position: relative;
    background-color: #fff
}

.landis-full .canvas-ar-box,
.canvas-ar-box.full {
    padding-top: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.canvas-ar-box-inside {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.canvas-wrapper {
    overflow-y: auto;
    overflow-x: hidden;
    background: linear-gradient(135deg, rgba(255,255,255,1) 0%, rgba(200,200,200,0.75) 40%, rgba(255,255,255,1) 100%, rgba(0,0,0,1) 100%);
}

canvas {
    position: absolute;
}


/*** Homescreen **/
.homescreen {
    height: 100%;
    max-width: 1280px;
    margin: auto;
    opacity: 1;
    transition: all 400ms linear;
    z-index: 100;
    position: relative;
}

.homescreen-title {
    font-size: 45px;
    font-weight: 300;
    border-bottom: solid 2px #ccc;
    width: calc(100% - 40px);
    margin: 20px 20px;
    padding: 15px 0;
}


.shed-designer-shed-scene {
    display: inline-block;
    width: 385px;
    margin: 20px;
}

.size-1200 .shed-designer-shed-scene {
    width: 385px;
    margin: 10px;
}

.size-900 .shed-designer-shed-scene {
    width: 345px;
    margin: 10px;
}

.size-780 .shed-designer-shed-scene {
    width: 260px;
    margin: 10px;
}

.shed-designer-shed-scene h1 {
    width: 100%;
    margin: 20px 0px;
}

.style-selects-wrappers * {
    transition: none;
}

.shed-designer-shed-scene .style-container img {
    width: 100%;
}

.shed-designer-shed-scene .style-container:hover {
    cursor: pointer;
}

.style-selects-wrappers {
    width: 100%;
    margin: auto;
}

#shed-designer-options {
    width: 20%;
    position: absolute;
    height: 100%;
    background-color: #fff;
    opacity: 0;
    font-size: 36px;
    z-index: 101;
    box-shadow: 1px 0px 10px #000;
}

#menu-options {
    height: calc(100% - 75px);
    overflow-y: auto;
    scrollbar-color: #999 #fff;
    scrollbar-width: thin;
}

#menu-options>div:last-child{
    margin-bottom: 100px;
}

.menu-options-title {
    height: 75px;
    display: flex;
}

.menu-options-title div {
    padding: 10px;
    margin: 0px auto;
    text-align: center;
}

.menu-options-title div:hover{
    cursor: pointer;
    transform: scale(95%);
}

.menu-options-title h3 {
    font-size: 14px;
}

.menu-options-title img {
    height: 30px;
}

.menu-options-title h4 {
    font-size: 13px;
    margin: 25px auto;
}

#shed-designer-mobile-menu {
    width: 100%;
    background-color: #fff;
    display: none;
    position: relative;
    box-shadow: 0px 1px 10px #000;
}

#shed-designer-mobile-menu.mode-2{
    transform:translateY(1000%);
}

.landis-full #shed-designer-mobile-menu,
#shed-designer-mobile-menu.full {
    position: fixed;
    bottom: 0;
    left: 0;
}

#edit-menu {
    width: 100%;
    position: absolute;
    background-color: rgba(0, 0, 0, .3);
    box-shadow: inset 0px 7px 10px rgba(0, 0, 0, .7);
    font-size: 20px;
    z-index: 9;
    display: flex;
    bottom: 0;
    padding: 20px 50px;
}

.select-option-title {
    padding: 15px 5px;
}

.select-option-title img {
    display: inline;
    padding: 0px 10px;
    max-width: 60px;
    max-height: 25px;
    width: auto;
    height: auto
}


.select-option-title img.preview, 
.size-1200 .select-option-title img.preview{
    float: right;
    max-width: max-content;
    object-fit: cover;
    object-position: top;
    max-height: 50px;
}

.size-780 .select-option-title {
    padding: 15px 10px;
}

.size-1200 .select-option-title h3 {
    font-size: 18px;
}

.size-1200 .select-option-title img {
    max-width: 50px;
    max-height: 20px;
    width: auto;
    height: auto
}

.select-option-title h3 {
    padding-right: 5px;
    margin: 0;
    font-size: 28px;
    user-select: none;
    text-transform: capitalize;
    display: inline;
    font-size: 24px;
    font-weight: 700;
    letter-spacing: -1px;
    vertical-align: middle;
}


.select-option-title:hover {
    cursor: pointer;
}

.select-option {
    max-height: 0;
    overflow: hidden;
    font-size: 20px;
    width: calc(100% - 25px);
    padding: 0px 5px 0px 10px;

}

.select-option .select-option {
    padding: 0px 5px 0px 20px;
}

.size-1200 .select-option {
    font-size: 16px;
}

.size-900 .select-option {
    font-size: 14px;
    width: 100%;
    margin: 0;
}

.size-900 .select-option.option-style-2 {
    margin: 0;
}

.select-option.option-active {
    display: block;
    max-height: 100%;
    height: auto;
}

.select-face {
    position: absolute;
    left: calc(20% + 50px);
    text-align: center;
    top: 10px;
    background: rgba(0,0,0,.2);
    border-radius: 5px;
    padding: 10px 20px;
    border: solid 1px #000;
}

.select-face p {
    padding: 2px 10px;
    margin: 0;
    font-size: 18px;
    text-transform: capitalize;
}

.select-face-single {
    display: inline;
}

.select-face-single:hover {
    cursor: pointer;
    font-size: 16px;
}

.align-items {
    position: absolute;
    top: 10px;
    text-align: center;
    right: 10px;
    font-size: 18px;
    background: rgba(0,0,0,.2);
    padding: 10px 20px;
    border-radius: 5px;
    border: solid 1px #000;
}

.align-items:hover{
    cursor: pointer;
    background: rgba(0,0,0,.3);
}

.xpos-label {
    position: absolute;
    bottom: 0;
    right: 0;
    color: #fff;
    font-size: 14px;
}

.change-size {
    position: absolute;
    color: #fff;
    bottom: 10px;
    right: 10px;
    font-size: 40px;
    z-index: 100;
}

.change-size:hover {
    cursor: pointer;
    color: #ccc;
}

.landis-full .change-size {
    display: none;
}

.mobile-menu-option {
    width: 25%;
    text-align: center;
    padding: 3vh 0px 7vh;
    height: 0px;
    position: relative;
}

.mobile-menu-option img {
    height: 20px;
}

.mobile-menu-option h3 {
    margin: 0px;
    padding: 0px;
}

.mobile-menu-option::after {
    height: 0;
    width: 100%;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background-color: #ccc;
    transition: all 300ms linear;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    box-shadow: inset 0px 0px 3px #000;
}

.mobile-menu-option:hover> ::after {
    height: 10px;
}

.slide-title {
    display: flex;
    margin: 10px 0px;
}

.slide-title h2 {
    margin: auto auto auto 0;
    font-weight: 400;
}

.alert {
    margin: 0;
    color: #ff0000;
    display: inline-block;
}
   
@media(max-width: 768px) {
    .canvas-ar-box {
        max-width: 100%;
        padding-top: 140%;
    }

    .canvas-ar-box.mode-2{
        padding-top:100vh
    }

    .landis-full .canvas-ar-box,
    .canvas-ar-box.full {
        position: fixed;
        max-width: 100%;
        width: 100%;
        top: 0;
        left: 0;
        height: 0;
    }

    .landis-full .canvas-ar-box.mode-2,
    .canvas-ar-box.full.mode-2{
        padding-top:100vh
    }

    #shed-designer-options {
        width: 55%;
        transform: translateX(-100%);
        transition: 300ms all linear;
    }

    #shed-designer-options.options.mobile-view-active {
        transform: translateX(0);
        display: block;
    }

    #shed-designer-mobile-menu {
        display: flex;

    }

    #shed-designer-mobile-menu::after {
        width: 25%;
        content: "";
        position: absolute;
        height: 5px;
        background-color: #ccc;
        transition: all 300ms linear;
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
        box-shadow: inset 0px 0px 3px #000;
    }

    #shed-designer-mobile-menu.view-active--scene::after {
        transform: translateX(200%);
    }

    #shed-designer-mobile-menu.view-active--option::after {
        transform: translateX(100%);
    }

    #shed-designer-mobile-menu.view-active--style::after {
        transform: translateX(0);
    }

    #shed-designer-mobile-menu.view-active--review::after {
        transform: translateX(300%);
    }


    .size-select .popup {
        width: 90%;
    }

    .menu-options-title {
        display: none;
    }

    #menu-options {
        height: 100%;

        box-shadow: inset 0px -10px 10px #ccc;
    }

    .size-600 .shed-designer-shed-scene {
        width: 400px;
        margin: auto;
        display: block;
    }

    .homescreen-title{
        width: 400px;
        margin: 20px auto;
    }

    .size-480 .shed-designer-shed-scene {
        width: 350px;
    }

    .select-face{
        left: 10px;
    }

    .align-items {
        padding: 5px;
        font-size: 15px;
    }

    .select-face {
        padding: 5px;
    }

    .select-face p {
        font-size: 15px;
    }
}